<?php
// Import funtion applies to: "Deutsche Bank - Privat und Geschäftskunden"
// Update Jan/2010 to new csv header (account number)
// Update Jul/2014 to new SEPA format (field extension)
// Update Mar/2016 bugfix sepa
$bankname = "Deutsche Bank - Privat und Geschaeftskunden";

function import_bank_csv($filename) {
  $data = file($filename);
  $i = 0;
  foreach ($data as $line) {
    $i++;
    $line .= ";";
    $cell = split(";",$line);
    switch ($i) {
      case 1: // first line, get account no.
        $subkonto = split("\(",$cell[0]);
        $subkonto = split("\)",$subkonto[1]);
        $subkonto = $subkonto[0];
        $kontonummer = split("\ ",$cell[3]);
        $kontonummer = trim($kontonummer[2]).$subkonto;
        echo "Importing account no.: ".$kontonummer."<br>\n";
        break;
    }
    if ($i>5
        && stristr($cell[0],"Buchungstag")===FALSE
        && stristr($cell[0],"Kontostand")===FALSE
        ) { // import all lines beginning with line 6
      $cell[0] = tmj2date($cell[0]); // Buchungstag
      $cell[1] = tmj2date($cell[1]); // Wertstellung (Datum)
      $cell[2] = preg_replace('/"/', "", $cell[2]);
      $cell[2] = mysql_real_escape_string($cell[2]); // NEU: Umsatzart
      $cell[3] = mysql_real_escape_string($cell[3]); // NEU: Begünstigter / Auftraggeber
      $cell[4] = mysql_real_escape_string($cell[4]); // Verwendungszweck

      $cell[5] = mysql_real_escape_string($cell[5]); // NEU: IBAN
      $cell[6] = mysql_real_escape_string($cell[6]); // NEU: BIC
      $cell[7] = mysql_real_escape_string($cell[7]); // NEU: Kundenreferenz
      $cell[8] = mysql_real_escape_string($cell[8]); // NEU: Mandatsreferenz
      $cell[9] = mysql_real_escape_string($cell[9]); // NEU: Gläubiger ID
      $cell[10] = mysql_real_escape_string($cell[10]); // NEU: Fremde Gebühren
      $cell[11] = mysql_real_escape_string($cell[11]); // NEU: Betrag (Gebühren?)
      $cell[12] = mysql_real_escape_string($cell[12]); // NEU: Abweichender Empfänger

      $cell[14] = preg_replace("/\./","",$cell[14]); // SOLL
      $cell[14] = preg_replace("/\,/",".",$cell[14]);
      if ($cell[14]=="") $cell[14]='0';

      $cell[15] = preg_replace("/\./","",$cell[15]); // HABEN
      $cell[15] = preg_replace("/\,/",".",$cell[15]);
      if ($cell[15]=="") $cell[15]='0';

      $cell[16] = trim ($cell[16]); // WÄHRUNG

      $sql = "INSERT INTO neo_buchungen_import
        (kontonummer,buchungstag,valuta,buchungstext,soll,haben,waehrung,
            umsatzart, beguenstigter_auftraggeber, iban, bic,
            kundenreferenz, mandatsreferenz, glaeubiger_id, gebuehren, gebuehren_betrag,
            empfaenger
        )
        VALUES
        ('$kontonummer','".$cell[0]."','".$cell[1]."','".$cell[4]."',".$cell[14].",".$cell[15].",'".$cell[16]."',
        '".$cell[2]."','".$cell[3]."','".$cell[5]."','".$cell[6]."',
        '".$cell[7]."','".$cell[8]."','".$cell[9]."','".$cell[10]."','".$cell[11]."',
        '".$cell[12]."'
        );";
      //echo $sql."<p>";
      QUERY($sql);
    }

  }
}

?>
