-- MySQL dump 10.11
--
-- Host: localhost    Database: temp
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch5-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `neo_buchungen_import`
--

DROP TABLE IF EXISTS `neo_buchungen_import`;
CREATE TABLE `neo_buchungen_import` (
  `id` int(11) NOT NULL auto_increment,
  `kontonummer` varchar(30) default NULL,
  `buchungstag` date default NULL,
  `valuta` date default NULL,
  `buchungstext` varchar(250) default NULL,
  `soll` decimal(10,2) default NULL,
  `haben` decimal(10,2) default NULL,
  `waehrung` varchar(4) default NULL,
  `umsatzart` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `beguenstigter_auftraggeber` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `iban` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `bic` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `kundenreferenz` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `mandatsreferenz` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `glaeubiger_id` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `gebuehren` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `gebuehren_betrag` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  `empfaenger` VARCHAR(50) NULL DEFAULT NULL COMMENT 'Neu ab 07/2014',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1061 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `neo_buchungen_import`
--

LOCK TABLES `neo_buchungen_import` WRITE;
/*!40000 ALTER TABLE `neo_buchungen_import` DISABLE KEYS */;
/*!40000 ALTER TABLE `neo_buchungen_import` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `neo_kassenbuch`
--

DROP TABLE IF EXISTS `neo_kassenbuch`;
CREATE TABLE `neo_kassenbuch` (
  `ID` bigint(20) unsigned NOT NULL auto_increment,
  `Datum` bigint(20) unsigned default NULL,
  `Buchungstext` char(250) NOT NULL,
  `Betrag` double default '0',
  `MWST` float default '16',
  `MWST_Anteil` int(11) unsigned NOT NULL DEFAULT '100',
  `Konto` bigint(20) unsigned default NULL,
  `Ort` int(11) unsigned default NULL,
  `KM` int(11) unsigned default NULL,
  `BetragOffen` tinyint(3) unsigned NOT NULL default '0' COMMENT '1 = Rechnung nicht bezahlt, Betrag nullen',
  PRIMARY KEY  (`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM AUTO_INCREMENT=837 DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED;

--
-- Dumping data for table `neo_kassenbuch`
--

LOCK TABLES `neo_kassenbuch` WRITE;
/*!40000 ALTER TABLE `neo_kassenbuch` DISABLE KEYS */;
/*!40000 ALTER TABLE `neo_kassenbuch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `neo_kassenbuch_konten`
--

DROP TABLE IF EXISTS `neo_kassenbuch_konten`;
CREATE TABLE `neo_kassenbuch_konten` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `bezeichnung` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `neo_kassenbuch_konten`
--

LOCK TABLES `neo_kassenbuch_konten` WRITE;
/*!40000 ALTER TABLE `neo_kassenbuch_konten` DISABLE KEYS */;
INSERT INTO `neo_kassenbuch_konten` VALUES (1,'112 Einnahmen (19%)'),(2,'130 AfA auf bewegliche Wirtschaftsgüter'),(3,'132 Aufwendungen für geringwertige Wirtschaftsgüter'),(4,'172 Aufwendungen für privates Arbeitszimmer'),(5,'192 Porto, Telefon, Büromaterial'),(6,'193 Fortbildung, Literatur'),(7,'194 Steuerberatung, Buchführung'),(8,'183 Übrige Betriebsausgaben'),(9,'174 Geschenke'),(10,'175 Bewirtung'),(11,'173 Reisekosten'),(12,'177 Geldbussen, Repräsentationskosten'),(13,'100 Waren, Rohstoffe, und Hilfsstoffe einschliesslich Nebenkosten'),(14,'140 KFZ und andere Fahrtkosten'),(15,'120 Versicherungsbeiträge'),(17,'000 Buchungen für Kilometerliste (ohne Beträge)'),(18,'999 Temporärbuchungen zur UST Voranmeldung');
/*!40000 ALTER TABLE `neo_kassenbuch_konten` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `neo_kassenbuch_orte`
--

DROP TABLE IF EXISTS `neo_kassenbuch_orte`;
CREATE TABLE `neo_kassenbuch_orte` (
  `id` int(11) NOT NULL auto_increment,
  `bezeichnung` varchar(200) NOT NULL,
  `vorlage_KM` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `neo_kassenbuch_orte`
--

LOCK TABLES `neo_kassenbuch_orte` WRITE;
/*!40000 ALTER TABLE `neo_kassenbuch_orte` DISABLE KEYS */;
/*!40000 ALTER TABLE `neo_kassenbuch_orte` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-04-09 10:52:04

ALTER TABLE `neo_kassenbuch_konten`
    ADD COLUMN `aktiv` TINYINT UNSIGNED NULL DEFAULT '1' AFTER `bezeichnung`;
